# [BETA] Allocate and assign public IP to VPC

```http
POST /compute/v1/tenants/{tenantId}/vpc/{vpcId}/public-addresses
```

Base URL: `https://api-portal.aur.lu/api`

Operation ID: `AllocateAndAssignPublicIpToVPC`

Authentication: ApiKeyAuth (API key in header `X-Api-Key`)

Required permission: `create:compute:public_ips`

Allocates a new public IP and assigns it to a VPC

## Parameters

### Path parameters

- `tenantId` (string, required) — Tenant ID
- `vpcId` (string, required) — VPC ID

## Responses

### 200 — OK

Content type: `application/json`

- `id` (string)
- `jobId` (string)

### 403 — Compute is read-only or suspended for this tenant

Content type: `application/json`

- `message` (string)
